Bug 508069 - When user is idle for a few mins, the screen fades to blank (ignores user prefs)
When user is idle for a few mins, the screen fades to blank (ignores user prefs)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
11
i686 Linux
low Severity high
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
: 499061 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-25 09:31 EDT by landrew
Modified: 2010-10-31 16:38 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:17:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description landrew 2009-06-25 09:31:53 EDT
Description of problem:

I use mplayer from rpmfusion repo and watch movie for about 15 minutes, the screen suddenly became blank(black), and can not be waken up with any action, can not switch to virtual terminal whith ctrl+alt++F2 or others either. The power LED is still on at this time. my platform is dell 640m notebook with core 2050 cpu and i945GM adapter.

(In gnome-power-manager I set: when using AC power,  when idle for 15 minutes, turn off screen.)    

Version-Release number of selected component (if applicable):
   gnome-power-manager-2.26.2-1.fc11
   kernel-2.6.29.5-191.fc11
and every packet is up to date.

How reproducible:
just using mplayer to watch movie and don't touch the PC, the problem will happen when near the time set in gnome-power-manager.

Steps to Reproduce:
1. set in gnome-power-manager, in AC power page: when idle for about 15 minutes, turn of screen. 
2. watch movie using mplayer  for about 15 minutes,(don't anything during the time)
3. the problem will appear
  
Actual results:

the screen turns black, and can not recover with any action. 

Expected results:

when the system turns off the screen, i can turn it on by moving mouse.

Additional info:
Comment 1 Richard Hughes 2009-08-20 08:01:56 EDT
Does:

xset dpms force off && sleep 2 && xset dpms force on

also reproduce the problem?
Comment 2 Richard Hughes 2009-08-20 08:23:00 EDT
*** Bug 499061 has been marked as a duplicate of this bug. ***
Comment 3 Jason Haar 2009-08-20 15:39:16 EDT
I just tried the xset thang and it the monitor turned off - and then turned on 

I ran it several times with the same result.

BTW: I have F11 installed on two machines - one with proprietary nVidia NV43GL drivers and one is an Intel 945GM/GMS/GME card. They both have the same problem. At random intervals, the screen will just turn off for me - even while I'm typing. Moving the mouse re-enables the monitor.

Jason
Comment 4 Michael Cronenworth 2009-08-23 02:22:34 EDT
Try "yum --enablerepo=updates-testing update xorg-x11-server-Xorg gnome-power-manager" and reboot.
Comment 5 Denys Vlasenko 2009-09-03 14:29:39 EDT
This should be a dup of 501534.

> BTW: I have F11 installed on two machines - one with proprietary nVidia NV43GL
> drivers and one is an Intel 945GM/GMS/GME card. They both have the same
> problem. At random intervals, the screen will just turn off for me - even while
> I'm typing. Moving the mouse re-enables the monitor.

This is a different bug - 501534
Comment 6 Denys Vlasenko 2009-09-03 14:44:17 EDT
Ok, we have a few similar bugs here.

501534 is when the screed goes black for ~1 sec and it happens regardless of user activity.


*This* bug (508069) seems to be about screen fading to blank when user is idle. This happens for me too since I installed F11 on my Lenovo T61.

I went to "Power Management" preferences (the battery icon) and set "Put display to sleep when inactive for" to "never". It still happens. I just timed it - it happens exactly 5 minutes after last user activity.

It seems to ignore this setting - if I set "Put display to sleep when inactive for" to 1 minute, it still happens after 5 minutes.

It recovers if I move the mouse or press a key.
Comment 7 Denys Vlasenko 2009-09-03 14:45:44 EDT
(In reply to comment #0)
> Description of problem:
> 
> I use mplayer from rpmfusion repo and watch movie for about 15 minutes, the
> screen suddenly became blank(black), and can not be waken up with any action,
> can not switch to virtual terminal whith ctrl+alt++F2 or others either. The
> power LED is still on at this time. my platform is dell 640m notebook with core
> 2050 cpu and i945GM adapter.

Let's clone the bug, since this seems to be a different problem: blank screen does not go away when user moves the mouse or presses a key?
Comment 8 Denys Vlasenko 2009-09-03 14:54:10 EDT
BTW:

xset dpms force off && sleep 2 && xset dpms force on

does blank/unblank my screen, but differently: it happens at once.

The "5 minute" blanking is gradual: the screen starts fade, becomes darker and darker, and I can even see the changes on screen (e.g. if I watch a movie or run a compilation) until it goes completely dark in ~5 sec.
Comment 9 Michael Cronenworth 2009-09-03 21:50:09 EDT
(In reply to comment #8)
> 
> The "5 minute" blanking is gradual: the screen starts fade, becomes darker and
> darker, and I can even see the changes on screen (e.g. if I watch a movie or
> run a compilation) until it goes completely dark in ~5 sec.  

The fading effect is a byproduct of gnome-screensaver. gnome-power-manager activates DPMS so your monitor will turn off. Two different things. Your bug is with gnome-screensaver/xorg-x11-server.
Comment 10 Kieran Clancy 2009-10-26 08:26:25 EDT
There are at least four bugs here.

1) When DPMS activates while a full screen XV app is running, the kernel locks up hard. I can reliably reproduce this on my laptop too. This is a kernel bug, though clearly triggered by something in X or userspace. I don't have a serial port on my laptop, so I tried netconsole to see any kernel panic messages but got nothing. Manually triggering the DPMS will hang the system if mplayer is running fullscreen, but otherwise just blanks the screen without hanging.

2) The screensaver/dpms activates even when configured not to, or activates too soon after user interaction -- I have no idea what causes this. There are a bunch of other bug reports with things like this, and there's been enough changes in the Xorg idle computation and other code lately that it's anyone's guess as to where this is at.

3) gnome-screensaver does not detect that mplayer wants the suspend the screensaver. See bug 506191 and <https://bugzilla.gnome.org/show_bug.cgi?id=416429>.

As (1) is the originally reported bug, can we please move the discussion of the other issues elsewhere, and can I suggest a summary change to something like "system locks up after blanking monitor while running fullscreen xvideo application".

Also, I do not believe that bug 499061 is a duplicate of this one.
Comment 11 Bug Zapper 2010-04-27 11:15:02 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2010-06-28 09:17:26 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 13 Roberto Bouzout 2010-10-31 16:38:03 EDT
I have the incorrect behaviour when running flash video for a while, computer becomes idle, even when my pref are to not became idle.

Note You need to log in before you can comment on or make changes to this bug.